#
# This file is part of Invenio.
# Copyright (C) 2016-2018 CERN.
#
# Invenio is free software; you can redistribute it and/or modify it
# under the terms of the MIT License; see LICENSE file for more details.

"""switch to rec_uuid"""

from alembic import op
import sqlalchemy as sa
from sqlalchemy.dialects import postgresql
import sqlalchemy_utils

# revision identifiers, used by Alembic.
revision = '6346f97f7bc1'
down_revision = '171069d4f96a'
branch_labels = ()
depends_on = None


def upgrade():
    """Upgrade database."""
    # ### commands auto generated by Alembic - please adjust! ###
    op.add_column('oarepo_tokens', sa.Column('rec_uuid', sqlalchemy_utils.types.uuid.UUIDType(), nullable=False))
    op.drop_column('oarepo_tokens', 'pid_type')
    op.drop_column('oarepo_tokens', 'pid_value')
    # ### end Alembic commands ###


def downgrade():
    """Downgrade database."""
    # ### commands auto generated by Alembic - please adjust! ###
    op.add_column('oarepo_tokens', sa.Column('pid_value', sa.VARCHAR(length=255), autoincrement=False, nullable=False))
    op.add_column('oarepo_tokens', sa.Column('pid_type', sa.VARCHAR(length=6), autoincrement=False, nullable=False))
    op.drop_column('oarepo_tokens', 'rec_uuid')
    # ### end Alembic commands ###
